package de.ozgcloud.apilib.common.command;

import java.util.List;

import de.ozgcloud.apilib.vorgang.OzgCloudVorgangId;

public interface OzgCloudCommandService {

	OzgCloudCommand create(OzgCloudCommand commandToCreate);

	OzgCloudCommand createAndWaitUntilDone(OzgCloudCommand commandToCreate);

	List<OzgCloudCommand> addSubCommands(OzgCloudCreateSubCommandsRequest request);

	boolean existsPendingCommands(OzgCloudVorgangId vorgangId);

	List<OzgCloudCommand> getPendingCommands(OzgCloudVorgangId vorgangId);
}
