package de.ozgcloud.apilib.vorgang;

import java.util.List;

import lombok.Builder;
import lombok.Getter;

@Getter
@Builder
public class OzgCloudAntragsteller {

	/** Salutation */
	private String anrede;
	/** Firstname */
	private String vorname;
	/** Lastname */
	private String nachname;

	/** Day of birth */
	private String geburtsdatum;
	/** City of birth */
	private String geburtsort;
	/** Name of birth */
	private String geburtsname;
	private String firmaName;
	/** Street */
	private String strasse;
	/** House Number */
	private String hausnummer;
	/** postcode / Zip Code */
	private String plz;
	/** City */
	private String ort;

	private String email;
	/** Telephone number */
	private String telefon;

	private List<OzgCloudFormDataEntry> otherData;
}
