package de.ozgcloud.apilib.common.command.grpc;

import de.ozgcloud.vorgang.grpc.command.GrpcCommand;
import de.ozgcloud.vorgang.grpc.command.GrpcGetPendingCommandsResponse;
import de.ozgcloud.vorgang.grpc.command.GrpcGetPendingCommandsResponse.Builder;

public class GrpcGetPendingCommandsResponseTestFactory {

	public static final GrpcCommand GRPC_COMMAND = GrpcCommandTestFactory.create();

	public static GrpcGetPendingCommandsResponse create() {
		return createBuilder().build();
	}

	public static Builder createBuilder() {
		return GrpcGetPendingCommandsResponse.newBuilder().addCommand(GRPC_COMMAND);
	}
}
