package de.ozgcloud.apilib.vorgang.grpc;

import de.ozgcloud.vorgang.vorgang.GrpcFindVorgangResponse;
import de.ozgcloud.vorgang.vorgang.GrpcFindVorgangResponse.Builder;
import de.ozgcloud.vorgang.vorgang.GrpcVorgangHeader;

public class GrpcFindVorgangResponseTestFactory {

	public static final GrpcVorgangHeader VORGANG_HEADER = GrpcVorgangHeaderTestFactory.create();
	public static final long TOTAL = 1;

	public static GrpcFindVorgangResponse create() {
		return createBuilder().build();
	}

	public static Builder createBuilder() {
		return GrpcFindVorgangResponse.newBuilder()
				.setTotal(TOTAL)
				.addVorgang(VORGANG_HEADER);
	}

}
