package de.ozgcloud.apilib.vorgang.grpc;

import de.ozgcloud.apilib.vorgang.ExpressionTestFactory;
import de.ozgcloud.vorgang.common.GrpcQueryOperator;
import de.ozgcloud.vorgang.vorgang.GrpcVorgangQueryExpression;
import de.ozgcloud.vorgang.vorgang.GrpcVorgangQueryExpression.Builder;

public class GrpcVorgangQueryExpressionTestFactory {

	public static final int OPERAND_INT_VALUE = ExpressionTestFactory.OPERAND_INT_VALUE;
	public static final String PATH = ExpressionTestFactory.PATH;
	public static final GrpcQueryOperator OPERATOR = GrpcQueryOperator.valueOf(ExpressionTestFactory.OPERATOR.toString());

	public static GrpcVorgangQueryExpression create() {
		return createBuilder()
				.build();
	}

	public static Builder createBuilder() {
		return GrpcVorgangQueryExpression.newBuilder()
				.setOperator(OPERATOR)
				.setPath(PATH)
				.setOperandIntValue(OPERAND_INT_VALUE);
	}

}
