package de.ozgcloud.apilib.common.command.grpc;

import de.ozgcloud.apilib.vorgang.OzgCloudVorgangTestFactory;
import de.ozgcloud.vorgang.grpc.command.GrpcExistsPendingCommandsRequest;
import de.ozgcloud.vorgang.grpc.command.GrpcExistsPendingCommandsRequest.Builder;

public class GrpcExistsPendingCommandsRequestTestFactory {
	public static final String VORGAND_ID = OzgCloudVorgangTestFactory.ID.toString();

	public static GrpcExistsPendingCommandsRequest create() {
		return createBuilder().build();
	}

	public static Builder createBuilder() {
		return GrpcExistsPendingCommandsRequest.newBuilder()
				.setVorgangId(VORGAND_ID);
	}
}
