package de.ozgcloud.apilib.common.command.grpc;

import de.ozgcloud.apilib.vorgang.OzgCloudVorgangTestFactory;
import de.ozgcloud.vorgang.grpc.command.GrpcGetPendingCommandsRequest;
import de.ozgcloud.vorgang.grpc.command.GrpcGetPendingCommandsRequest.Builder;

public class GrpcGetPendingCommandsRequestTestFactory {

	public static final String VORGAND_ID = OzgCloudVorgangTestFactory.ID.toString();

	public static GrpcGetPendingCommandsRequest create() {
		return createBuilder().build();
	}

	public static Builder createBuilder() {
		return GrpcGetPendingCommandsRequest.newBuilder()
				.setVorgangId(VORGAND_ID);
	}

}
