package de.ozgcloud.apilib.vorgang;

import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.apilib.vorgang.OzgCloudVorgangQuery.FormIdentification;
import de.ozgcloud.apilib.vorgang.OzgCloudVorgangQuery.FormIdentification.FormIdentificationBuilder;

public class FormIdentificationTestFactory {

	public static final String FORM_ENGINE_NAME = LoremIpsum.getInstance().getWords(1);
	public static final String FORM_ID = UUID.randomUUID().toString();

	public static FormIdentification create() {
		return createBuilder().build();
	}

	public static FormIdentificationBuilder createBuilder() {
		return FormIdentification.builder()
				.formId(FORM_ID)
				.formEngineName(FORM_ENGINE_NAME);
	}

}
